Loading...
Searching...
No Matches
Opm::RegionAttributeHelpers::AverageIncrementCalculator< Scalar, is_parallel > Struct Template Reference

Computes the temperature, pressure, and counter increment. More...

`#include <RegionAttributeHelpers.hpp>`

## Public Member Functions

std::tuple< Scalar, Scalar, Scalar, Scalar, int > | operator() (const std::vector< Scalar > &pressure, const std::vector< Scalar > &temperature, const std::vector< Scalar > &rs, const std::vector< Scalar > &rv, const std::vector< Scalar > &ownership, std::size_t cell)
| Computes the temperature, pressure, and counter increment.

## Detailed Description

template<class Scalar, bool is_parallel>
struct Opm::RegionAttributeHelpers::AverageIncrementCalculator< Scalar, is_parallel >

Computes the temperature, pressure, and counter increment.

In a parallel run only cells owned contribute to the cell average.

Template Parameters

  is_parallel | Whether this is a parallel run.

## Member Function Documentation

## operator()()

template<class Scalar, bool is_parallel>

std::tuple< Scalar, Scalar, Scalar, Scalar, int > Opm::RegionAttributeHelpers::AverageIncrementCalculator< Scalar, is_parallel >::operator() | ( | const std::vector< Scalar > & | pressure,
|  | const std::vector< Scalar > & | temperature,
|  | const std::vector< Scalar > & | rs,
|  | const std::vector< Scalar > & | rv,
|  | const std::vector< Scalar > & | ownership,
|  | std::size_t | cell )

inline

Computes the temperature, pressure, and counter increment.

Parameters

  pressure | The pressure.
  temperature | The temperature.
  rs | The rs.
  rv | The rv.
  cell | The current cell index.
  ownership | A vector indicating whether a cell is owned by this process (value 1), or not (value 0).
  cell | The cell index.

The documentation for this struct was generated from the following file:

- opm/simulators/wells/RegionAttributeHelpers.hpp